Assignee: Denis Rouzaud
Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 25979

Description

The simplify map tool currently forces Douglas-Peucker simplification (via the QgsGeometry::simplify method). Unfortunately this

simplification technique is not ideal as it preserves jagged spikes within line work, making it unusable for cartographic simplification.

A better choice would be to utilise Visvalingam simplification (which is available from the QgsMapToPixelGeometrySimplifier class) - this

simplification technique prefers to eliminate narrow jagged spikes, resulting in much more pleasing cartographic simplification.

(Or better - expose this choice to users so that they can select an appropriate simplification technique for their requirements)

Associated revisions

Revision dce21882 - 2018-02-26 03:12 PM - Nyall Dawson

[FEATURE] Add choice of simplification method to simplify map tool

Allows different techniques to be used for simplification, including

the more cartographically pleasing "Visvalingam" simplification algorithm.

Fixes #18083

History

#1 - 2018-02-26 03:12 PM - Nyall Dawson

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|dce21882c73b9d4d98a6001872bad0be849df6c1.

#2 - 2018-03-03 11:12 AM - Giovanni Manghi

- Resolution set to fixed/implemented
